Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.model
Interface Seq

All Superinterfaces:
  Container, FrontsNode, RDFNode, Resource

    public interface Seq

extends Container

RDF Sequence container.

This interface defines methods for accessing RDF Sequence resources. These methods operate on the RDF statements contained in a model. The Sequence implementation may cache state from the underlying model, so objects should not be added to or removed from the Sequence by directly manipulating its properties, whilst the Sequence is being accessed through this interface.

When a member is deleted from a sequence using this interface, or an iterator returned through this interface, all the other members with higher ordinals are renumbered to one below what they previously were.

This interface provides methods supporting typed literals. This means that methods are provided which will translate a built in type, or an object to an RDF Literal. This translation is done by invoking the `toString()` method of the object, or its built in equivalent. The reverse translation is also supported. This is built in for built in types. Factory objects, provided by the application, are used for application objects.

This interface provides methods for supporting enhanced resources. An enhanced resource is a resource to which the application has added behaviour. RDF containers are examples of enhanced resources built in to this package. Enhanced resources are supported by encapsulating a resource created by an implementation in another class which adds the extra behaviour. Factory objects are used to construct such enhanced resources.

Version:
  Release='$Name: $' Revision='$Revision: 1.13 $' Date='$Date: 2008/01/02 12:05:48 $'
Author:
  bwm

Method Summary
`Seq` | `add(int index, boolean o)` Insert a new member into the sequence at the specified position.
`Seq` | `add(int index, char o)` Insert a new member into the sequence at the specified position.
`Seq` | `add(int index, double o)` Insert a new member into the sequence at the specified position.
`Seq` | `add(int index, float o)` Insert a new member into the sequence at the specified position.
`Seq` | `add(int index, long o)` Insert a new member into the sequence at the specified position.
`Seq` | `add(int index, java.lang.Object o)` Insert a new member into the sequence at the specified position.
`Seq` | `add(int index, RDFNode o)` Insert a new member into the sequence at the specified position.
`Seq` | `add(int index, java.lang.String o)` Insert a new member into the sequence at the specified position.
`Seq` | `add(int index, java.lang.String o, java.lang.String l)` Insert a new member into the sequence at the specified position.
`Alt` | `getAlt(int index)` Get the member at a given index.
`Bag` | `getBag(int index)` Get the member at a given index.
`boolean` | `getBoolean(int index)` Get the member at a given index.
`byte` | `getByte(int index)` Get the member at a given index.
`char` | `getChar(int index)` Get the member at a given index.
`double` | `getDouble(int index)` Get the member at a given index.
`float` | `getFloat(int index)` Get the member at a given index.
`int` | `getInt(int index)` Get the member at a given index.
`java.lang.String` | `getLanguage(int index)` Get the language of the member at a given index.
`Literal` | `getLiteral(int index)` Get the member at a given index.
`long` | `getLong(int index)` Get the member at a given index.
`RDFNode` | `getObject(int index)` Get the member at a given index.
`java.lang.Object` | `getObject(int index, ObjectF f)` Get the member at a given index.
`Resource` | `getResource(int index)` Get the member at a given index.
`Resource` | `getResource(int index, ResourceF f)` Get the member at a given index.
`Seq` | `getSeq(int index)` Get the member at a given index.
`short` | `getShort(int index)` Get the member at a given index.
`java.lang.String` | `getString(int index)` Get the member at a given index.
`int` | `indexOf(boolean o)` Return the index of a given member of the sequence.
`int` | `indexOf(char o)` Return the index of a given member of the sequence.
`int` | `indexOf(double o)` Return the index of a given member of the sequence.
`int` | `indexOf(float o)` Return the index of a given member of the sequence.
`int` | `indexOf(long o)` Return the index of a given member of the sequence.
`int` | `indexOf(java.lang.Object o)` Return the index of a given member of the sequence.
`int` | `indexOf(RDFNode o)` Return the index of a given member of the sequence.
`int` | `indexOf(java.lang.String o)` Return the index of a given member of the sequence.
`int` | `indexOf(java.lang.String o, java.lang.String l)` Return the index of a given member of the sequence.
`Seq` | `remove(int index)` Remove the member at the specified index.
`Seq` | `set(int index, boolean o)` Set the value at a given index in the sequence.
`Seq` | `set(int index, char o)` Set the value at a given index in the sequence.
`Seq` | `set(int index, double o)` Set the value at a given index in the sequence.
`Seq` | `set(int index, float o)` Set the value at a given index in the sequence.
`Seq` | `set(int index, long o)` Set the value at a given index in the sequence.
`Seq` | `set(int index, java.lang.Object o)` Set the value at a given index in the sequence.
`Seq` | `set(int index, RDFNode o)` Set the value at a given index in the sequence.
`Seq` | `set(int index, java.lang.String o)` Set the value at a given index in the sequence.
`Seq` | `set(int index, java.lang.String o, java.lang.String l)` Set the value at a given index in the sequence.

Methods inherited from interface com.hp.hpl.jena.rdf.model.Container
`add, add, add, add, add, add, add, add, add, contains, contains, contains, contains, contains, contains, contains, contains, contains, isAlt, isBag, isSeq, iterator, remove, size`

Methods inherited from interface com.hp.hpl.jena.rdf.model.Resource
`abort, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addProperty, addProperty, addProperty, addProperty, begin, commit, equals, getId, getLocalName, getModel, getNameSpace, getNode, getProperty, getRequiredProperty, getURI, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasProperty, hasProperty, hasProperty, hasProperty, hasURI, listProperties, listProperties, removeAll, removeProperties, toString`

Methods inherited from interface com.hp.hpl.jena.rdf.model.RDFNode
`as, canAs, inModel, isAnon, isLiteral, isResource, isURIResource, visitWith`

Methods inherited from interface com.hp.hpl.jena.graph.FrontsNode
`asNode`

Method Detail

### add

    Seq add(int index,
            RDFNode o)

  Insert a new member into the sequence at the specified position.

  The existing member at that position, and all others with higher indexes, have their index increased by one.

  Parameters:
    `index` - The index of the new member,
    `o` - The member to be added. .
  Returns:
    this object to enable cascading of method calls.

### add

    Seq add(int index,
            boolean o)

  Insert a new member into the sequence at the specified position.

  The existing member at that position, and all others with higher indexes, have their index increased by one.

  Parameters:
    `index` - The index of the new member,
    `o` - The member to be added. .
  Returns:
    this object to enable cascading of method calls.

### add

    Seq add(int index,
            long o)

  Insert a new member into the sequence at the specified position.

  The existing member at that position, and all others with higher indexes, have their index increased by one.

  Parameters:
    `index` - The index of the new member,
    `o` - The member to be added. .
  Returns:
    this object to enable cascading of method calls.

### add

    Seq add(int index,
            char o)

  Insert a new member into the sequence at the specified position.

  The existing member at that position, and all others with higher indexes, have their index increased by one.

  Parameters:
    `index` - The index of the new member,
    `o` - The member to be added. .
  Returns:
    this object to enable cascading of method calls.

### add

    Seq add(int index,
            float o)

  Insert a new member into the sequence at the specified position.

  The existing member at that position, and all others with higher indexes, have their index increased by one.

  Parameters:
    `index` - The index of the new member,
    `o` - The member to be added. .
  Returns:
    this object to enable cascading of method calls.

### add

    Seq add(int index,
            double o)

  Insert a new member into the sequence at the specified position.

  The existing member at that position, and all others with higher indexes, have their index increased by one.

  Parameters:
    `index` - The index of the new member,
    `o` - The member to be added. .
  Returns:
    this object to enable cascading of method calls.

### add

    Seq add(int index,
            java.lang.String o)

  Insert a new member into the sequence at the specified position.

  The existing member at that position, and all others with higher indexes, have their index increased by one.

  Parameters:
    `index` - The index of the new member,
    `o` - The member to be added. .
  Returns:
    this object to enable cascading of method calls.

### add

    Seq add(int index,
            java.lang.String o,
            java.lang.String l)

  Insert a new member into the sequence at the specified position.

  The existing member at that position, and all others with higher indexes, have their index increased by one.

  Parameters:
    `index` - The index of the new member,
    `o` - The member to be added.
    `l` - the langauge of the value added .
  Returns:
    this object to enable cascading of method calls.

### add

    Seq add(int index,
            java.lang.Object o)

  Insert a new member into the sequence at the specified position.

  The existing member at that position, and all others with higher indexes, have their index increased by one.

  Parameters:
    `index` - The index of the new member,
    `o` - The member to be added. .
  Returns:
    this object to enable cascading of method calls.

### getBoolean

    boolean getBoolean(int index)

  Get the member at a given index.

  Parameters:
    `index` - The index of the required member. .
  Returns:
    The member at the given index.

### getByte

    byte getByte(int index)

  Get the member at a given index.

  Parameters:
    `index` - The index of the required member. .
  Returns:
    The member at the given index.

### getShort

    short getShort(int index)

  Get the member at a given index.

  Parameters:
    `index` - The index of the required member. .
  Returns:
    The member at the given index.

### getInt

    int getInt(int index)

  Get the member at a given index.

  Parameters:
    `index` - The index of the required member. .
  Returns:
    The member at the given index.

### getLong

    long getLong(int index)

  Get the member at a given index.

  Parameters:
    `index` - The index of the required member. .
  Returns:
    The member at the given index.

### getChar

    char getChar(int index)

  Get the member at a given index.

  Parameters:
    `index` - The index of the required member. .
  Returns:
    The member at the given index.

### getFloat

    float getFloat(int index)

  Get the member at a given index.

  Parameters:
    `index` - The index of the required member. .
  Returns:
    The member at the given index.

### getDouble

    double getDouble(int index)

  Get the member at a given index.

  Parameters:
    `index` - The index of the required member. .
  Returns:
    The member at the given index.

### getString

    java.lang.String getString(int index)

  Get the member at a given index.

  Parameters:
    `index` - The index of the required member. .
  Returns:
    The member at the given index.

### getLanguage

    java.lang.String getLanguage(int index)

  Get the language of the member at a given index.

  Parameters:
    `index` - The index of the required member. .
  Returns:
    The member at the given index.

### getObject

    java.lang.Object getObject(int index,
                               ObjectF f)

  Get the member at a given index.

  The supplied factory object is used to created the object return.

  Parameters:
    `index` - The index of the required member.
    `f` - A factory object used to create the returned object. .
  Returns:
    The member at the given index.

### getResource

    Resource getResource(int index,
                         ResourceF f)

  Get the member at a given index.

  The supplied factory object is used to create the returned object.

  Parameters:
    `index` - The index of the required member.
    `f` - The factory object used to create the returned object. .
  Returns:
    The member at the given index.

### getLiteral

    Literal getLiteral(int index)

  Get the member at a given index.

  Parameters:
    `index` - The index of the required member. .
  Returns:
    The member at the given index.

### getResource

    Resource getResource(int index)

  Get the member at a given index.

  Parameters:
    `index` - The index of the required member. .
  Returns:
    The member at the given index.

### getObject

    RDFNode getObject(int index)

  Get the member at a given index.

  Parameters:
    `index` - The index of the required member. .
  Returns:
    The member at the given index.

### getBag

    Bag getBag(int index)

  Get the member at a given index.

  Parameters:
    `index` - The index of the required member. .
  Returns:
    The member at the given index.

### getAlt

    Alt getAlt(int index)

  Get the member at a given index.

  Parameters:
    `index` - The index of the required member. .
  Returns:
    The member at the given index.

### getSeq

    Seq getSeq(int index)

  Get the member at a given index.

  Parameters:
    `index` - The index of the required member. .
  Returns:
    The member at the given index.

### remove

    Seq remove(int index)

  Remove the member at the specified index.

  All other members with a higher index will have their index reduced by one.

  Parameters:
    `index` - The index of the member to be removed. .
  Returns:
    this object to enable cascading of method calls.

### indexOf

    int indexOf(RDFNode o)

  Return the index of a given member of the sequence.

  If more the the same value appears more than once in the sequence, it is undefined which of the indexes will be returned.

  If the member is not found in this sequence, a value of 0 is returned.

  Parameters:
    `o` - The member sought. .
  Returns:
    an index of the member in this sequence or 0 if the member is not found in this sequence.

### indexOf

    int indexOf(boolean o)

  Return the index of a given member of the sequence.

  If more the the same value appears more than once in the sequence, it is undefined which of the indexes will be returned.

  If the member is not found in this sequence, a value of 0 is returned.

  Parameters:
    `o` - The member sought. .
  Returns:
    an index of the member in this sequence or 0 if the member is not found in this sequence.

### indexOf

    int indexOf(long o)

  Return the index of a given member of the sequence.

  If more the the same value appears more than once in the sequence, it is undefined which of the indexes will be returned.

  If the member is not found in this sequence, a value of 0 is returned.

  Parameters:
    `o` - The member sought. .
  Returns:
    an index of the member in this sequence or 0 if the member is not found in this sequence.

### indexOf

    int indexOf(char o)

  Return the index of a given member of the sequence.

  If more the the same value appears more than once in the sequence, it is undefined which of the indexes will be returned.

  If the member is not found in this sequence, a value of 0 is returned.

  Parameters:
    `o` - The member sought. .
  Returns:
    an index of the member in this sequence or 0 if the member is not found in this sequence.

### indexOf

    int indexOf(float o)

  Return the index of a given member of the sequence.

  If more the the same value appears more than once in the sequence, it is undefined which of the indexes will be returned.

  If the member is not found in this sequence, a value of 0 is returned.

  Parameters:
    `o` - The member sought. .
  Returns:
    an index of the member in this sequence or 0 if the member is not found in this sequence.

### indexOf

    int indexOf(double o)

  Return the index of a given member of the sequence.

  If more the the same value appears more than once in the sequence, it is undefined which of the indexes will be returned.

  If the member is not found in this sequence, a value of 0 is returned.

  Parameters:
    `o` - The member sought. .
  Returns:
    an index of the member in this sequence or 0 if the member is not found in this sequence.

### indexOf

    int indexOf(java.lang.String o)

  Return the index of a given member of the sequence.

  If more the the same value appears more than once in the sequence, it is undefined which of the indexes will be returned.

  If the member is not found in this sequence, a value of 0 is returned.

  Parameters:
    `o` - The member sought. .
  Returns:
    an index of the member in this sequence or 0 if the member is not found in this sequence.

### indexOf

    int indexOf(java.lang.String o,
                java.lang.String l)

  Return the index of a given member of the sequence.

  If more the the same value appears more than once in the sequence, it is undefined which of the indexes will be returned.

  If the member is not found in this sequence, a value of 0 is returned.

  Parameters:
    `o` - The member sought.
    `l` - the language of the member sought .
  Returns:
    an index of the member in this sequence or 0 if the member is not found in this sequence.

### indexOf

    int indexOf(java.lang.Object o)

  Return the index of a given member of the sequence.

  If more the the same value appears more than once in the sequence, it is undefined which of the indexes will be returned.

  If the member is not found in this sequence, a value of 0 is returned.

  Parameters:
    `o` - The member sought. .
  Returns:
    an index of the member in this sequence or 0 if the member is not found in this sequence.

### set

    Seq set(int index,
            RDFNode o)

  Set the value at a given index in the sequence.

  If the index is not in the range 1 to the size of the sequence, then an exception is raised.

  Parameters:
    `index` - The index whose member is to be set.
    `o` - The value to be set.
  Returns:
    this object to enable cascading method calls.
  Throws:
    `SeqIndexBoundsException`

### set

    Seq set(int index,
            boolean o)

  Set the value at a given index in the sequence.

  If the index is not in the range 1 to the size of the sequence, then a Jena exception is raised.

  Parameters:
    `index` - The index whose member is to be set.
    `o` - The value to be set.
  Returns:
    this object to enable cascading method calls.
  Throws:
    `SeqIndexBoundsException`

### set

    Seq set(int index,
            long o)

  Set the value at a given index in the sequence.

  If the index is not in the range 1 to the size of the sequence, then a Jena exception is raised.

  Parameters:
    `index` - The index whose member is to be set.
    `o` - The value to be set.
  Returns:
    this object to enable cascading method calls.
  Throws:
    `SeqIndexBoundsException`

### set

    Seq set(int index,
            char o)

  Set the value at a given index in the sequence.

  If the index is not in the range 1 to the size of the sequence, then a Jena exception is raised.

  Parameters:
    `index` - The index whose member is to be set.
    `o` - The value to be set.
  Returns:
    this object to enable cascading method calls.
  Throws:
    `SeqIndexBoundsException`

### set

    Seq set(int index,
            float o)

  Set the value at a given index in the sequence.

  If the index is not in the range 1 to the size of the sequence, then a Jena exception is raised.

  Parameters:
    `index` - The index whose member is to be set.
    `o` - The value to be set.
  Returns:
    this object to enable cascading method calls.
  Throws:
    `SeqIndexBoundsException`

### set

    Seq set(int index,
            double o)

  Set the value at a given index in the sequence.

  If the index is not in the range 1 to the size of the sequence, then a Jena exception is raised.

  Parameters:
    `index` - The index whose member is to be set.
    `o` - The value to be set.
  Returns:
    this object to enable cascading method calls.
  Throws:
    `SeqIndexBoundsException`

### set

    Seq set(int index,
            java.lang.String o)

  Set the value at a given index in the sequence.

  If the index is not in the range 1 to the size of the sequence, then a Jena exception is raised.

  Parameters:
    `index` - The index whose member is to be set.
    `o` - The value to be set.
  Returns:
    this object to enable cascading method calls.
  Throws:
    `SeqIndexBoundsException`

### set

    Seq set(int index,
            java.lang.String o,
            java.lang.String l)

  Set the value at a given index in the sequence.

  If the index is not in the range 1 to the size of the sequence, then a Jena exception is raised.

  Parameters:
    `index` - The index whose member is to be set.
    `o` - The value to be set.
    `l` - The language of the value set.
  Returns:
    this object to enable cascading method calls.
  Throws:
    `SeqIndexBoundsException`

### set

    Seq set(int index,
            java.lang.Object o)

  Set the value at a given index in the sequence.

  If the index is not in the range 1 to the size of the sequence, then a Jena exception is raised.

  Parameters:
    `index` - The index whose member is to be set.
    `o` - The value to be set.
  Returns:
    this object to enable cascading method calls.
  Throws:
    `SeqIndexBoundsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP